
import 'dart:async';

import 'package:flutter/services.dart';

class FlutterPushDevonics {
  static const MethodChannel _channel = MethodChannel('flutter_push_devonics');
  static Future init(String app_id) async {
    await _channel.invokeMethod('init', {'app_id': app_id});
  }
  static Future sendTag(String key, String value) async {
    await _channel.invokeMethod('sendTag', {'key': key, 'value': value});
  }
  static Future<String?> get getUserID async {
    final String? userID = await _channel.invokeMethod('getUserID');
    return userID;
  }
}
